/***************************************************************************
    kcdspreferences.h  -  preferences dialog
    ------------------------------------------------------------------------
    begin                : Mon Jun 10 2002
    copyright            : (C) 2002, 2005 by Tomas Horsky
    email                : tomas@riadoklan.sk
 ***************************************************************************/

#ifndef KCDSPREFERENCES_H
#define KCDSPREFERENCES_H

#include <qtabdialog.h>

class QLineEdit;
class QCheckBox;
class QRadioButton;
class KListBox;
class KIntSpinBox;
class KcdsSettings;

/**	Preferences dialog.
*/
class KcdsPreferences: public QTabDialog
{
	Q_OBJECT
	public:
		/**	Constructor
		*/
		KcdsPreferences(QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0);
		/**	Destructor
		*/
		virtual ~KcdsPreferences();
		
		/**	Sets all widgets according to settings object.
		*/
		void readSettings(KcdsSettings *settings);
		/**	Sets settings object according to widgets.
		*/
		void writeSettings(KcdsSettings *settings);
		
	protected slots:
		void slotEnableScsiDevice(bool);
		void slotSpeedsAdd();
		void slotSpeedsRemove();
		void slotSpeedsDetect();
		void slotEnableOtherCommand(bool);
		void slotEnableMountPoint(bool);
		
	private:
		QLineEdit *_device;
		
		QCheckBox *_scsiDevice;
		KIntSpinBox *_scsiBus;
		KIntSpinBox *_target;
		KIntSpinBox *_lun;
		
		QCheckBox *_confirmSpeed;
		QCheckBox *_ignoreErrors;
		
		KListBox *_availSpeeds;
		KIntSpinBox *_speedSpin;
		
		QRadioButton *_startupMinimum;
		QRadioButton *_startupMaximum;
		QRadioButton *_startupLast;
		QRadioButton *_startupNothing;
		
		QRadioButton *_ejectIoctl;
		QRadioButton *_ejectCdrecord;
		QRadioButton *_ejectOther;
		
		QLineEdit *_otherEject;
		QLineEdit *_otherClose;
		
		QCheckBox *_customMountPoint;
		QLineEdit *_mountPoint;
		
		QCheckBox *_openFilemanager;
		
		QCheckBox *_autoMount;
		QCheckBox *_autoUnmount;
};

#endif //KCDSPREFERENCES_H
